Runtime

## org.eclipse.gmf.runtime.common.ui.util
Class PropertySheetUtil

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.util.PropertySheetUtil

public class PropertySheetUtil
extends java.lang.Object

Utility class that implements some helpful method for `PropertySheetViewer.`

Field Summary
`static java.lang.String` `PROPERTY_VIEW_ID` ID of property view.

Constructor Summary
`PropertySheetUtil()`

Method Summary
`static void` `refreshCurrentPage()` Refreshes the model for the current page of the property sheet viewer.
`static void` `setCurrentPageSelection(IWorkbenchPart part, ISelection selection)` Sets the selection of the current property sheet page to `selection`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_VIEW_ID

    public static final java.lang.String PROPERTY_VIEW_ID

  ID of property view.

  See Also:
    Constant Field Values

Constructor Detail

### PropertySheetUtil

    public PropertySheetUtil()

Method Detail

### refreshCurrentPage

    public static void refreshCurrentPage()

  Refreshes the model for the current page of the property sheet viewer. Ensures that the model reflects the state of the current viewer input.

### setCurrentPageSelection

    public static void setCurrentPageSelection(IWorkbenchPart part,
                                               ISelection selection)

  Sets the selection of the current property sheet page to `selection`. This has the effect of refreshing the property sheet viewer input with the items in `selection`.

  Parameters:
    `part` - the part where the selection occurred
    `selection` - the new selection

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.